from mv import MV
from hyperplane2MV import hyperplane2MV
from schauderhat2mv import schauderhat2mv

## test that the hyperplane works

n_bits = 5
MC=5
denom = 2**n_bits
# mv = MV('((x⊙x)⊕(x⊙(x⊙x)))')
mv = MV('(x⊕(x⊙x))')
mv.find_break_points()
xcords = [mv.x[i] for i in mv.bkp_idx]
ycords = [mv.y[i][0]/mv.y[i][1] for i in mv.bkp_idx]
test = schauderhat2mv(xcords, ycords)
test.extract(method='aguzzoli')
mv_new = MV(test.overallmv)
mv_new.plot_mv(mark_break_points=True)

xcords = [0, 2/3,1]
ycords = [0, 0, 1]
test = hyperplane2MV(xcords, ycords)
test.extract(method='aguzzoli')
test.overallMV
test.overallMVp



for mc in range(MC):
    mv = random_formula(n_bits)
    while mv.count('x') < 5:
        mv = random_formula(n_bits)
    print(mv)




