import numpy as np
from config import Symbols
def removeRedundant(W, B, W_next):
    n = W.shape[0]
    hashMap = {}
    for i in range(n):
        new = np.concatenate((W[i], B[i]))
        new = str(new)
        if new not in hashMap:
            hashMap[new] = i
        else:
            W_next[:, hashMap[new]] += W_next[:, i]
            W_next[:, i] = 0
    keepCol = W_next.any(0)

    return [W[keepCol,:], B[keepCol,:], W_next[:, keepCol]]


def time24(seconds):
    seconds  = int(seconds)
    if seconds < 60:
        return f"{seconds} seconds"
    minutes = seconds // 60
    if minutes < 60:
        return f"{minutes} minutes"
    hours = minutes // 60
    return f"{hours} hours"

def calc_length_symbol(mv):
    return mv.count('x') + mv.count(Symbols.OR) + mv.count(Symbols.AND) + mv.count(Symbols.WEDGE) + mv.count(Symbols.NOT) + mv.count(Symbols.VEE)

def calc_length_symbol_bracket(mv):
    return mv.count('x') + 3*mv.count(Symbols.OR) + 3*mv.count(Symbols.AND) + 3*mv.count(Symbols.WEDGE) + mv.count(Symbols.NOT) + 3*mv.count(Symbols.VEE)


