from mv import MV, random_formula, random_formula_not
  
from matplotlib import pyplot as plt
from valuation import valuation_precise
MC = 10
denom = 2**10
formula_len = 6
for mc in range(MC):
    mv = random_formula_not(formula_len, not_frequency=0.5)
    while mv.count('x') < formula_len:
        mv = random_formula_not(formula_len, not_frequency=0.5) 
    print(mv)
    mv = MV(mv)
    plt.subplot(2,MC, mc+1)
    mv.plot_mv(mark_break_points=True)
    x = [i for i in range(denom+1)]
    y = [valuation_precise(mv.mv, i, denom) for i in x]
    x = [i/denom for i in x]
    y = [i/denom for i in y]
    plt.subplot(2, MC, mc+MC+1)
    plt.plot(x, y)
    
plt.show()
