

from mv import random_formula
from NN2MV import NN2MV
import matplotlib.pyplot as plt
from construct_NN_from_MV import construct_NN_from_MV, plot_NN, construct_shallow_NN_from_MV
from mv import MV
n_bits = 5
MC=5
denom = 2**n_bits
for mc in range(MC):
    mv = random_formula(n_bits)
    while mv.count('x') < 5:
        mv = random_formula(n_bits)
    print(mv)
    # mv = '((x⊙x)⊕(x⊙(x⊙x)))'
    #mv = '(x⊙(x⊙x))'
    mv = MV(mv)
    plt.subplot(2,MC,mc+1)
    mv.plot_mv(mark_break_points=True)
    
    xcords = [mv.x[idx] for idx in mv.bkp_idx]
    ycords = [mv.y[idx] for idx in mv.bkp_idx]
    Phi = construct_shallow_NN_from_MV(xcords, ycords)
     
    plt.subplot(2,MC,mc+1+MC)
    plot_NN(Phi, denom)



