import numpy as np
from matplotlib import pyplot as plt

def relu(x):
    return np.maximum(x, 0)

def f_1(x):
    return relu(x) - relu(x-1)

def f_2(x):
    return 2*relu(x) - 2*relu(2*x-1) + 2*relu(x-1)

def f_3(x):
    return relu(1-x) - relu(-x)
def f_4(x):
    return relu(-3*x+2) -relu(-3*x+1)

def f_5(x):
    return relu(3*x-1) -relu(3*x-2)

nsample = 5000
x = np.linspace(-1, 2, nsample)
y = f_2(f_4(f_3(x)))
plt.plot(x, y)

z=2